routes/web.php
<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\PostController;
use App\Http\Controllers\CategoryController;
use App\Http\Controllers\RoleController;
use App\Http\Controllers\PermissionController;
use App\Http\Controllers\UserController;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});

Route::middleware(['auth:sanctum', 'verified'])->group( function (){
    Route::resource('posts', PostController::class);
    Route::resource('categories', CategoryController::class);
    Route::resource('roles', RoleController::class);
    Route::resource('permissions', PermissionController::class);
    Route::resource('users', UserController::class);
    Route::get('dashboard' , function (){
        return view('dashboard');
    })->name('dashboard');
});
Route::get('createrole', [RoleController::class, 'createRole']);
Route::get('assignrole',[RoleController::class, 'assignRole']);
//Route::get('createpermission', [PermissionController::class, 'createPermission']);

resources/views/widgets/category_list.blade.php
<table class="table">
    <thead>
    <th>Name</th>
    <th>Post Count</th>
    </thead>
    <tbody>
    @foreach($categories as $category)
        <tr>
            <td>{{ $category->name }}</td>
            <td>
                {{ $category->posts->count() }}
            </td>
            @can('edit post')
            <td>
                <a href="{{route('categories.edit',$category)}}" class="btn btn-info btn-sm">Edit</a>
            </td>
            @endcan
            <td>
                <form action="{{route('categories.destroy', [$category])}}" method="post">
                    @csrf
                    @method("DELETE")
                    <button type="submit" class="btn btn-sm btn-danger btn-info">Delete</button>
                </form>
            </td>
        </tr>
    @endforeach
    </tbody>
</table>

resources/views/widgets/permission_list.blade.php
<table class="table">
    <thead>
    <th>Permission</th>
    </thead>
    <tbody>
    @foreach($permissions as $permission)
        <tr>
            <td>{{ $permission->name }}</td>
{{--            @can('edit permission')--}}
                <td>
                    <a href="{{route('permissions.edit', $permission)}}" class="btn btn-info btn-sm">Edit</a>
                </td>
{{--            @endcan--}}
                {{--<td>--}}
                {{--<form action="{{route('permissions.destroy', [$permission])}}" method="post">--}}
                {{--@csrf--}}
                {{--@method("DELETE")--}}
                {{--<button type="submit" class="btn btn-sm btn-danger btn-info">Delete</button>--}}
                {{--</form>--}}
                {{--</td>--}}
        </tr>
    @endforeach
    </tbody>
</table>

resources/views/widgets/post_list.blade.php
<div class="col-lg-12">
    <div class="panel panel-default">
        <div class="panel-body">
            <table class="table">
                <thead>
                <tr>
                    <th>Name</th>
                    <th>Category</th>
                    <th>Status</th>
                </tr>
                </thead>
                <tbody>
                @foreach($posts as $post)
                    <tr>
                        <td>{{$post->title}}</td>
                        <td>{{$post->category->name}}</td>
                        <td>
                            @if($post->published === 1)
                                Published
                            @else
                                Not Published
                            @endif
                        </td>
                        <td>
                            @can('edit post')
                                <a href="{{route('posts.edit', $post->id)}}"
                                   class="btn btn-info btn-sm">Edit</a>
                            @endcan
                        </td>
                        <td>
                            @can('publish post')
                                <form action="{{route('posts.destroy', [$post])}}" method="post">
                                    @csrf
                                    @method('DELETE')
                                    <button type="submit" class="btn btn-danger btn-sm ">
                                        Delete
                                    </button>
                                </form>
                            @endcan
                        </td>
                    </tr>
                @endforeach

                </tbody>
            </table>
        </div>
    </div>
</div>

resources/views/widgets/role_list.blade.php
<table class="table">
    <thead>
    <th>نام نقش</th>
    </thead>
    <tbody>
    @foreach($roles as $role)
        <tr>
            <td>{{ $role->name }}</td>
            <td>
{{--                @foreach($user->permission() as $rolePer)--}}
{{--                    {{$rolePer}}<br>--}}
{{--                @endforeach--}}
            </td>
{{--            @can('edit role')--}}
                <td>
                    <a href="{{route('roles.edit',$role)}}" class="btn btn-info btn-sm">ویرایش</a>
                </td>
{{--            @endcan--}}
{{--            <td>--}}
{{--                <form action="{{route('roles.destroy', [$role])}}" method="post">--}}
{{--                    @csrf--}}
{{--                    @method("DELETE")--}}
{{--                    <button type="submit" class="btn btn-sm btn-danger btn-info">Delete</button>--}}
{{--                </form>--}}
{{--            </td>--}}
        </tr>
    @endforeach
    </tbody>
</table>

resources/views/widgets/user_list.blade.php
<div class="col-lg-12">
    <div class="panel panel-default">
        {{--<div class="panel-heading">--}}
        {{--Latest Posts--}}
        {{--</div>--}}
        <div class="panel-body">
            <table class="table">
                <thead>
                <tr>
                    <th>نام</th>
                    <th>ایمیل</th>
                    <th>نقش</th>
                </tr>
                </thead>
                <tbody>
                @foreach($users as $user)
                    <tr>
                        <td>{{$user->name}}</td>
                        <td>{{$user->email}}</td>
                        <td>
                        @foreach($user->getRoleNames() as $role)
                                {{$role}}<br>
                        @endforeach
                        </td>
                        <td>
{{--                            @can('edit user')--}}
                                <a href="{{route('users.edit',$user->id)}}"
                                   class="btn btn-info btn-sm">ویرایش</a>
{{--                            @endcan--}}
                        </td>
                        <td>
                            <form action="{{route('users.destroy', [$user])}}" method="post">
                                @csrf
                                @method('DELETE')
                                <button type="submit" class="btn btn-danger btn-sm ">
                                    حذف
                                </button>
                            </form>
                        </td>
                    </tr>

                @endforeach
                </tbody>
            </table>
        </div>
    </div>
</div>